跳到主要内容

Remove execution cases in a batch

POST 

/project/executionCases/batch-delete

Removes each execution case independently. A failed item does not roll back successful items.

Request​

Query Parameters

    teamID stringrequired

    The team ID

Body

required

    executionCaseIDs string[]required

    Possible values: >= 1

Responses​

Returns successful execution case IDs and per-item failures.

Schema

    data

    object

    successExecutionCaseIDs string[]required

    Execution case IDs that were updated or removed successfully.

    failedCases

    object[]

    required

    Per-item failures. These failures do not roll back successful items.

  • Array [

  • executionCaseID stringrequired

    The execution case ID that failed.

    code stringrequired

    The failure code for this execution case.

    message stringrequired

    The failure message for this execution case.

  • ]

  • result string

    The result of this request.

    errorCode string

    The error code of this request.

    errorMsg string

    Error message for this request.

    errorData object

    Error meta data for this request.

Loading...